/*
 * @file
 *
 * This file contains functions for manipulating
 * the task to server mapping matrix and 
 * task to server mapping vector which are used to generate
 * the mapping solutions.
 */

#include "config.h"
#ifdef GS_SMART_GRIDSOLVE
#ifndef GS_SMART_MAPPING_MATRIX_FUNC
#define GS_SMART_MAPPING_MATRIX_FUNC


#include "gs_smart_task_graph.h"

/*
 * Mapping Matrix and Vector Functions
 */

int gs_smart_zero_mapping_matrix(int **,  int , int );
int gs_smart_next_permutation(int ** , int , int , int );
int gs_smart_matrix_to_vec(int ** , int , int , int * );

#endif 
#endif
