double matmul(const double *mat_a, const double *mat_b, double *mat_c, int n)
{
	register int i, j, k;
	register double *mat_c_i_;
        register const double *mat_a_i_, *mat_b_k_;

	for (i = 0; i < n; i++) {
		mat_a_i_ = &mat_a[i * n];
		mat_c_i_ = &mat_c[i * n];
		for (k = 0; k < n; k++) {
			mat_b_k_ = &mat_b[k * n];
			for (j = 0; j < n; j++) {
				mat_c_i_[j] += mat_a_i_[k] * mat_b_k_[j];
			}
		}
	}
							
	return 0;
}
