/**
 * Print a list of the requests issued by IDL gs_call_async() which have
 * results that haven't been picked up using gs_wait().
 *
 * This is part of the IDL Client for GridSolve.
 **/
/* $Id: idl_request.h,v 1.5 2007/07/24 19:24:32 yarkhan Exp $ */
/* $UTK_Copyright: $ */

#include "idl_export.h"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

#include "grpc.h"

#define GS_IDL_NULL_ID       -1

typedef struct{
  grpc_sessionid_t gs_req_id;
  int              argc;
  gs_problem_t*    pd;
  IDL_VPTR*        argv_idl;
} GS_IDL_Request;

extern GS_IDL_Request requests[MAX_GRPC_REQUESTS];

void gs_init_req();

int
  add_req(grpc_sessionid_t, gs_problem_t *, int, IDL_VPTR *),
  del_req(grpc_sessionid_t);
