function [varargout] = gs_probe(varargin)
% status = gs_probe(sessionid)
% 
% Check on the status of a service request that was previously
% submitted to the GridSolve network enabled solver.  Returned
% status is
% GRPC_NO_ERROR                  0
% GRPC_NOT_INITIALIZED           1
% GRPC_INVALID_SESSION_ID        8
% GRPC_NOT_COMPLETED            12
% GRPC_OTHER_ERROR_CODE         14
%
% See also gs_call_async

if (nargout > 0) 
  for i=1:nargout, varargout{i} = []; end
  [varargout{:}] = matlab_gs_lib(6, varargin{:});
else 
  matlab_gs_lib(6, varargin{:});
end

