function [varargout] = gs_wait(varargin)
% [outputargs, ...] = gs_wait(sessionid)
% 
% Wait for the completion of an asynchronous job (sessionid) which was
% previously submitted to the GridSolve network enabled solver
% system.  
%
% See also gs_call_async.

if (nargout > 0) 
  for i=1:nargout, varargout{i} = []; end
  [varargout{:}] = matlab_gs_lib(3, varargin{:});
else 
  matlab_gs_lib(3, varargin{:});
end
