disp("\n----------- Tests on Sparse Matrix ------------");
fname = "sparse_double_matrix_test";
m = 3;
n = 3;
mati = sprand(m, n, 0.2) * 100;
expected = mati + spones(mati);
nnzi = nnz(mati);
nnzo = nnzi;


disp("\nThe input sparse matrix is:");
disp(mati);

disp("\nCalling sparse_double_matrix_test...");
[mato] = gs_call(fname, nnzi, mati, nnzo, m, n);
disp("Finishing the call...");

disp("\nThe result sparse matrix (non-zero elements) is:");
disp(mato);

if (mato == expected)
    disp("\nSparse double matrix test passed.\n");
else
    disp("\nSparse double matrix test failed.\n");
end

disp("---------------- Tests Done ----------------\n");