; Determines whether two vectors are equal within a certain tolerance.
; The matrices should be equal length.
;
; Takes the following parameters:
;   a - first vector
;   b - second vector
;   n - number of elements in the vectors
;
; Returns 1 if they are equal, 0 if not.
;
; $Id: gs_vec_eq.pro,v 1.1 2007/03/05 17:45:44 seymour Exp $
; $UTK_Copyright: $
;

function gs_vec_eq, a, b, n
  for ix=0L, n-1 do begin
    if(gs_eq(a(ix), b(ix)) NE 1) then begin
      return, 0
    endif 
  endfor 
  return, 1
end
