/**
 * @file
 *
 * This code fragment is included just after the variable declarations of
 * tests that call 'ctotal' or 'ftotal'.  It creates the argument stack
 * and pushes pointers to all the args on the stack.
 *
 */
/* $Id: totaltest_init.c,v 1.4 2005/06/10 18:04:21 seymour Exp $ */
/* $UTK_Copyright: $ */

#include "totaltest_arg_init.c"

  stack = grpc_arg_stack_new(100);

  grpc_arg_stack_push_arg(stack, &int_in);
  grpc_arg_stack_push_arg(stack, &int_inout);
  grpc_arg_stack_push_arg(stack, &int_out);
  grpc_arg_stack_push_arg(stack, &float_in);
  grpc_arg_stack_push_arg(stack, &float_inout);
  grpc_arg_stack_push_arg(stack, &float_out);
  grpc_arg_stack_push_arg(stack, &double_in);
  grpc_arg_stack_push_arg(stack, &double_inout);
  grpc_arg_stack_push_arg(stack, &double_out);
  grpc_arg_stack_push_arg(stack, &scmp_in);
  grpc_arg_stack_push_arg(stack, &scmp_inout);
  grpc_arg_stack_push_arg(stack, &scmp_out);
  grpc_arg_stack_push_arg(stack, &dcmp_in);
  grpc_arg_stack_push_arg(stack, &dcmp_inout);
  grpc_arg_stack_push_arg(stack, &dcmp_out);
  grpc_arg_stack_push_arg(stack, &char_in);
  grpc_arg_stack_push_arg(stack, &char_inout);
  grpc_arg_stack_push_arg(stack, &char_out);
  grpc_arg_stack_push_arg(stack, ivec_in);
  grpc_arg_stack_push_arg(stack, ivec_inout);
  grpc_arg_stack_push_arg(stack, ivec_out);
  grpc_arg_stack_push_arg(stack, &ivec_size_arg);
  grpc_arg_stack_push_arg(stack, fvec_in);
  grpc_arg_stack_push_arg(stack, fvec_inout);
  grpc_arg_stack_push_arg(stack, fvec_out);
  grpc_arg_stack_push_arg(stack, &fvec_size_arg);
  grpc_arg_stack_push_arg(stack, dvec_in);
  grpc_arg_stack_push_arg(stack, dvec_inout);
  grpc_arg_stack_push_arg(stack, dvec_out);
  grpc_arg_stack_push_arg(stack, &dvec_size_arg);
  grpc_arg_stack_push_arg(stack, scmp_vec_in);
  grpc_arg_stack_push_arg(stack, scmp_vec_inout);
  grpc_arg_stack_push_arg(stack, scmp_vec_out);
  grpc_arg_stack_push_arg(stack, &scmp_vec_size_arg);
  grpc_arg_stack_push_arg(stack, dcmp_vec_in);
  grpc_arg_stack_push_arg(stack, dcmp_vec_inout);
  grpc_arg_stack_push_arg(stack, dcmp_vec_out);
  grpc_arg_stack_push_arg(stack, &dcmp_vec_size_arg);
  grpc_arg_stack_push_arg(stack, cvec_in);
  grpc_arg_stack_push_arg(stack, cvec_inout);
  grpc_arg_stack_push_arg(stack, cvec_out);
  grpc_arg_stack_push_arg(stack, &cvec_size_arg);
  grpc_arg_stack_push_arg(stack, imat_in);
  grpc_arg_stack_push_arg(stack, imat_inout);
  grpc_arg_stack_push_arg(stack, imat_out);
  grpc_arg_stack_push_arg(stack, &mat_m);
  grpc_arg_stack_push_arg(stack, &mat_n);
  grpc_arg_stack_push_arg(stack, fmat_in);
  grpc_arg_stack_push_arg(stack, fmat_inout);
  grpc_arg_stack_push_arg(stack, fmat_out);
  grpc_arg_stack_push_arg(stack, &mat_m);
  grpc_arg_stack_push_arg(stack, &mat_n);
  grpc_arg_stack_push_arg(stack, dmat_in);
  grpc_arg_stack_push_arg(stack, dmat_inout);
  grpc_arg_stack_push_arg(stack, dmat_out);
  grpc_arg_stack_push_arg(stack, &mat_m);
  grpc_arg_stack_push_arg(stack, &mat_n);
  grpc_arg_stack_push_arg(stack, scmp_mat_in);
  grpc_arg_stack_push_arg(stack, scmp_mat_inout);
  grpc_arg_stack_push_arg(stack, scmp_mat_out);
  grpc_arg_stack_push_arg(stack, &mat_m);
  grpc_arg_stack_push_arg(stack, &mat_n);
  grpc_arg_stack_push_arg(stack, dcmp_mat_in);
  grpc_arg_stack_push_arg(stack, dcmp_mat_inout);
  grpc_arg_stack_push_arg(stack, dcmp_mat_out);
  grpc_arg_stack_push_arg(stack, &mat_m);
  grpc_arg_stack_push_arg(stack, &mat_n);
  grpc_arg_stack_push_arg(stack, cmat_in);
  grpc_arg_stack_push_arg(stack, cmat_inout);
  grpc_arg_stack_push_arg(stack, cmat_out);
  grpc_arg_stack_push_arg(stack, &mat_m);
  grpc_arg_stack_push_arg(stack, &mat_n);

