**
* @file
*
* This code fragment is included in f_totaltest_common.f
* to assign initial values to all the various parameters
* needed by totaltest.
*
* $Id: f_totaltest_arg_init.f,v 1.4 2005/06/10 18:04:22 seymour Exp $
* $UTK_Copyright: $
**
      int_in = 8080
      int_inout = int_in + 100
*
      float_in = 1.32
      float_inout = float_in + 100.0
*
      double_in = 6.66
      double_inout = double_in + 100.0
*
      scmp_in = (1.32, 2.0)
      scmp_inout = scmp_in + (100.0, 100.0)
*
      dcmp_in = (6.66, 2.0)
      dcmp_inout = dcmp_in + (100.0, 100.0)
*
      char_in = 'a'
      char_inout = char(ichar(char_in)+(ichar('i')-ichar('a')))
*
      do 1 i=1,IVEC_SIZE
        ivec_in(i) = i-1
        ivec_inout(i) = 100+i-1
  1   continue
*
      do 2 i=1,FVEC_SIZE
        fvec_in(i) = REAL(i-1)
        fvec_inout(i) = REAL(100+i-1)
  2   continue
*
      do 3 i=1,DVEC_SIZE
        dvec_in(i) = DBLE(i-1)
        dvec_inout(i) = DBLE(100+i-1)
  3   continue
*
      do 4 i=1,SCMP_VEC_SIZE
        scmp_vec_in(i) = cmplx(REAL(i-1), REAL(10+i-1))
        scmp_vec_inout(i) = cmplx(REAL(100+i-1), REAL(10+i-1))
  4   continue
*
      do 5 i=1,DCMP_VEC_SIZE
        dcmp_vec_in(i) = cmplx(DBLE(i-1), DBLE(10+i-1))
        dcmp_vec_inout(i) = cmplx(DBLE(100+i-1), DBLE(10+i-1))
  5   continue
*
      do 6 i=1,CVEC_SIZE
        cvec_in(i) = CHAR(ICHAR('a')+i-1)
        cvec_inout(i) = CHAR(ICHAR('i')+i-1)
  6   continue
*
      do 8 i=1,MAT_M
        do 7 j=1,MAT_N
          imat_in(i,j) = (i-1)*MAT_N+(j-1)
          imat_inout(i,j) = 100+((i-1)*MAT_N+(j-1))
*
          fmat_in(i,j) = REAL((i-1)*MAT_N+(j-1))
          fmat_inout(i,j) = REAL(100+((i-1)*MAT_N+(j-1)))
*
          dmat_in(i,j) = DBLE((i-1)*MAT_N+(j-1))
          dmat_inout(i,j) = DBLE(100+((i-1)*MAT_N+(j-1)))
*
          scmp_mat_in(i,j) = cmplx(REAL((i-1)*MAT_N+(j-1)),
     +        REAL(10+(i-1)*MAT_N+(j-1)))
          scmp_mat_inout(i,j) = cmplx(REAL(100+((i-1)*MAT_N+(j-1))),
     +        REAL(10+((i-1)*MAT_N+(j-1))))
*
          dcmp_mat_in(i,j) = cmplx(DBLE((i-1)*MAT_N+(j-1)),
     +        DBLE(10+(i-1)*MAT_N+(j-1)))
          dcmp_mat_inout(i,j) = cmplx(DBLE(100+((i-1)*MAT_N+(j-1))),
     +        DBLE(10+((i-1)*MAT_N+(j-1))))
*
          cmat_in(i,j) = CHAR(ICHAR('a')+(i-1)*MAT_N+(j-1))
          cmat_inout(i,j) = CHAR(ICHAR('i')+((i-1)*MAT_N+(j-1)))
  7     continue
  8   continue
