public class PovFileFilter extends javax.swing.filechooser.FileFilter {
  public static String getExtension(java.io.File f) {
    String ext = null;
    String s = f.getName();
    int i = s.lastIndexOf('.');

    if (i > 0 &&  i < s.length() - 1) {
        ext = s.substring(i+1).toLowerCase();
    }
    return ext;
  }

  public boolean accept(java.io.File f) {
    if(f.isDirectory())
      return true;

    String extension = getExtension(f);
    if (extension != null) {
      if (extension.equals(getSuffix()))
        return true;
      else
        return false;
    }

    return false;
  }

  public String getDescription() {
    return "POVRay Input Files";
  }

  public String getSuffix() {
    return "pov";
  }
}
