/** 
 * @file 
 *
 * General defines, etc.
 *
 */
/* $Id: general.h,v 1.3 2007/04/11 16:47:33 seymour Exp $ */
/* $UTK_Copyright: $ */

#ifndef _GS_GENERAL_H
#define _GS_GENERAL_H

#ifdef __INTERIX
#define GRIDSOLVE_SQLITE_DB_PREFIX         "gq"
#define GRIDSOLVE_STATS_FILE_PREFIX        "gs"
#define GRIDSOLVE_SENSOR_USOCK_PREFIX      "gn"
#define GRIDSOLVE_SCHED_LOCK_FILE_PREFIX   "gl"
#else
#define GRIDSOLVE_SQLITE_DB_PREFIX         "gssql"
#define GRIDSOLVE_STATS_FILE_PREFIX        "gsstats"
#define GRIDSOLVE_SENSOR_USOCK_PREFIX      "gssensor"
#define GRIDSOLVE_SCHED_LOCK_FILE_PREFIX   "gslock"
#endif

/* Definitions for the sql based storage of agent data */
#define GRIDSOLVE_AGENT_PORT_DEFAULT  9876
#define GRIDSOLVE_HTTPD_PORT_DEFAULT  8080
#define GRIDSOLVE_SENSOR_PORT_DEFAULT 9988

#endif
