/**
 * @file
 *
 * Header file for kflops estimator.
 *
 */
/* $Id: kflops.h,v 1.5 2005/11/10 20:46:02 seymour Exp $ */
/* $UTK_Copyright: $ */

#ifndef __GS_KFLOPS_H
#define __GS_KFLOPS_H

int kflops();

#define SIZE 600

#define ROLL

#define REAL double
#define ZERO 0.0e0
#define ONE 1.0e0
#define PREC "Double "

#define NTIMES 10

#ifdef ROLL
#define ROLLING "Rolled "
#endif
#ifdef UNROLL
#define ROLLING "Unrolled "
#endif

#include <math.h>
#include <sys/time.h>
#include <sys/resource.h>

#endif
