/**
 * @file
 *
 * Header file to include other header files for netsolve client and some 
 * #defines for blocking/non-blocking and assignment requests.
 *
 */
/* $Id: netsolveclient.h,v 1.6 2005/11/16 05:04:29 seymour Exp $ */
/* $UTK_Copyright: $ */

#ifndef __NS_NETSOLVECLIENT_H
#define __NS_NETSOLVECLIENT_H

extern int ns_errno;

#include "cfortranclient.h"
#include "netsolveerror.h"
#include "grpc.h"
#include "nsdsi.h"

#define NS_NOASSIGNMENT 0
#define NS_ASSIGNMENT 1

#define NS_NOBLOCK 0
#define NS_BLOCK 1

#endif
