#include <stdlib.h>
#include <sys/time.h>

#include "problem.h"

void varlen_return(int *slen, char **str,
  int *ilen, int **ivec, 
  int *flen, float **fvec, 
  int *dlen, double **dvec, 
  int *sclen, gs_scomplex **scvec, 
  int *dclen, gs_dcomplex **dcvec)
{
  struct timeval tv;
  int i;

  gettimeofday(&tv, NULL);
  srand(tv.tv_usec);

  /* Initialize random length char array */
  *slen = rand() % 80;

  *str = malloc(*slen);

  if(!*str)
    return;

  for(i=0;i<*slen-1;i++)
    (*str)[i] = 'a' + rand() % 26;
  (*str)[*slen-1] = 0;

  /* Initialize random length integer array */
  *ilen = 1 + (rand() % 8);

  *ivec = malloc(*ilen * sizeof(**ivec));

  if(!*ivec)
    return;

  for(i=0;i<*ilen;i++)
    (*ivec)[i] = rand() % 100;

  /* Initialize random length single precision array */
  *flen = 1 + (rand() % 8);

  *fvec = malloc(*flen * sizeof(**fvec));

  if(!*fvec)
    return;

  for(i=0;i<*flen;i++)
    (*fvec)[i] = (float) (rand() % 100) + (float)(rand() % 100)/100.0;

  /* Initialize random length double precision array */
  *dlen = 1 + (rand() % 8);

  *dvec = malloc(*dlen * sizeof(**dvec));

  if(!*dvec)
    return;

  for(i=0;i<*dlen;i++)
    (*dvec)[i] = (double) (rand() % 100) + (double)(rand() % 100)/100.0;

  /* Initialize random length single precision complex array */
  *sclen = 1 + (rand() % 8);

  *scvec = malloc(*sclen * sizeof(**scvec));

  if(!*scvec)
    return;

  for(i=0;i<*sclen;i++) {
    (*scvec)[i].r = (float) (rand() % 100) + (float)(rand() % 100)/100.0;
    (*scvec)[i].i = (float) (rand() % 100) + (float)(rand() % 100)/100.0;
  }

  /* Initialize random length double precision complex array */
  *dclen = 1 + (rand() % 8);

  *dcvec = malloc(*dclen * sizeof(**dcvec));

  if(!*dcvec)
    return;

  for(i=0;i<*dclen;i++) {
    (*dcvec)[i].r = (double) (rand() % 100) + (double)(rand() % 100)/100.0;
    (*dcvec)[i].i = (double) (rand() % 100) + (double)(rand() % 100)/100.0;
  }

  return;
}
