function [varargout] = gs_call(varargin)
% [outputargs] = gs_call('service', inputargs)
% 
% Blocking call to the GridSolve network solver.  Use
% gs_info('service') to see the the arguments for the service.

if (nargout > 0) 
  for i=1:nargout, varargout{i} = []; end
  [varargout{:}] = matlab_gs_lib(1, varargin{:});
else 
  matlab_gs_lib(1, varargin{:});
end

