warn_num_to_str = 0;
warn_str_to_num = 0;

disp("\n---------------- Tests on Files ----------------");
# blocking call to filetest
inf = "filetest_m.in";
iof = "filetest_m.inout";
pinf_1 = "filetest_packed_1.in";
piof_1 = "filetest_packed_1.inout";
pinf_2 = "filetest_packed_2.in";
piof_2 = "filetest_packed_2.inout";

disp("\nThe input files used in the test is:");
disp(inf);
disp(iof);
disp(pinf_1);
disp(piof_1);
disp(pinf_2);
disp(piof_2);

fid = fopen(iof, "rt");
ioline = fgets(fid);
fclose(fid);

fid = fopen(piof_1, "rt");
pioline_1 = fgets(fid);
fclose(fid);

fid = fopen(piof_2, "rt");
pioline_2 = fgets(fid);
fclose(fid);

disp("\n\nBlocking call to filetest...");
[f1, f2, f3, f4] = gs_call("filetest", inf, iof, [pinf_1; pinf_2], [piof_1; piof_2], 2);
disp("Finishing the call...");

fid = fopen(inf, "rt");
iline = fgets(fid);
fclose(fid);

fid = fopen(iof, "rt");
nioline = fgets(fid);
fclose(fid);

fid = fopen(f2, "rt");
oline = fgets(f2);
fclose(fid);

expected = "a";
if (ioline(1) == upper(ioline(1)))
    expected = lower(ioline(1));
else
    expected = upper(ioline(1));
end

passed = 1;
if (nioline(1) != expected)
    passed = 0;
end

tmp = iline + 1;
if (tmp != oline)
    passed = 0;
end

if (passed == 1)
    disp("\nSingle file test passed.");
else
    disp("\nSingle file test failed.");
end


fid = fopen(pinf_1, "rt");
piline_1 = fgets(fid);
fclose(fid);

piof_1 = char(f3(1, :));
fid = fopen(piof_1, "rt");
npioline_1 = fgets(fid);
fclose(fid);

pof_1 = char(f4(1, :));
fid = fopen(pof_1, "rt");
poline_1 = fgets(fid);
fclose(fid);

fid = fopen(pinf_2, "rt");
piline_2 = fgets(fid);
fclose(fid);

piof_2 = char(f3(1, :));
fid = fopen(piof_2, "rt");
npioline_2 = fgets(fid);
fclose(fid);

pof_2 = char(f4(2, :));
fid = fopen(pof_2, "rt");
poline_2 = fgets(fid);
fclose(fid);

expected = "a";
if (pioline_1(1) == upper(pioline_1(1)))
    expected = lower(pioline_1(1));
else
    expected = upper(pioline_1(1));
end

passed = 1;
if (npioline_1(1) != expected)
    passed = 0;
end

tmp = piline_1 + 1;
if (tmp != poline_1)
    passed = 0;
end

expected = "a";
if (pioline_2(1) == upper(pioline_2(1)))
    expected = lower(pioline_2(1));
else
    expected = upper(pioline_2(1));
end

if (npioline_2(1) != expected)
    passed = 0;
end

tmp = piline_2 + 1;
if (tmp != poline_2)
    passed = 0;
end

if (passed == 1)
    disp("Packed file test passed.\n");
else
    disp("Packed file test failed.\n");
end

unlink(f2);
unlink(pof_1);
unlink(pof_2);

disp("---------------- Tests Done ----------------\n");