% The following will setup the correct paths if the environment
% variables are available and this is a fairly standard build.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% The following will setup the correct paths if the environment
% variables are available.
groot = getenv('GRIDSOLVE_ROOT');
if (strcmp(groot,'')==1 ) 
  fprintf(['Environment variable GRIDSOLVE_ROOT could not be ' ...
           'found.  Proceeding anyway\n'] );
else 
  addpath(strcat(groot,'/matlab'))
  addpath(strcat(groot,'/src/matlab_client'))
end
% Build directory matlab_client

% addpath('../../matlab_client');
% Src directory matlab_client
% addpath('../../../src/matlab_client');


gsagent = getenv('GRIDSOLVE_AGENT');
%% gsagent = 'gridsolve.cs.utk.edu';
if (strcmp(gsagent,'')==1 ) 
  fprintf(['Environment variable GRIDSOLVE_AGENT could not be ' ...
           'found.  Proceeding anyway\n'] );
  gsagent = input('Enter GRIDSOLVE_AGENT: ', 's');
  fprintf(['Setting agent to %s \n', gsagent] );
end
gs_putenv(['GRIDSOLVE_AGENT=',gsagent]);

fprintf('GRIDSOLVE_ROOT: %s\n', gsroot);
fprintf('GRIDSOLVE_AGENT: %s\n', gsagent);

fprintf('Use gs_info to see the servers and services\n');
fprintf('Use gs_info(''service'') to see details about a service ( gs_info(''dgeev'') )\n');

