% $Id: totaltest.m,v 1.3 2007/07/16 20:46:29 yarkhan Exp $ 
% $UTK_Copyright: $ 

nfail=0

ivec_size = int32(5)
fvec_size = 5
dvec_size = 5
scmp_vec_size = 5
dcmp_vec_size = 5
cvec_size = 6
mat_m = 2
mat_n = 3

int_in = int32(8080)
int_inout = int32(int_in + 100)
int_o = int32(0)

float_in = single(1.32)
float_inout = single(float_in + 100.0)
float_o = single(0.0)

double_in = double(6.66)
double_inout = double(double_in + 100.0)
double_o = double(0.0)

scmp_in = single(complex(1.32, 2.0))
scmp_inout = scmp_in + single(complex(100.0, 10.0))
scmp_o = single(complex(0.0, 0.0))

dcmp_in = double(complex(6.66, 2.0))
dcmp_inout = dcmp_in + double(complex(100.0, 10.0))
dcmp_o = double(complex(0.0, 0.0))

char_in = 'a'
char_inout = 'i'
char_o = 'x'

ivec_in = int32(1:ivec_size)'
ivec_inout = int32(ivec_in + 100)
ivec_o = zeros(size(ivec_in),'int32')

fvec_in = single(1:fvec_size)'
fvec_inout = single(fvec_in + 100.0)
fvec_o = zeros(size(fvec_in), 'single')

dvec_in = double(1:dvec_size)'
dvec_inout = single(dvec_in + 100.0)
dvec_o = zeros(size(dvec_in), 'single')

scmp_vec_in = single(complex(1:scmp_vec_size,1:scmp_vec_size))'
scmp_vec_in = single(scmp_vec_in + complex(0.0, 10.0))
scmp_vec_inout = single(scmp_vec_in + complex(100.0,10.0))
scmp_vec_o = scmp_vec_in - complex(3.0, 6.0)

dcmp_vec_in = double(complex(1:dcmp_vec_size,1:dcmp_vec_size))'
dcmp_vec_in = double(dcmp_vec_in + complex(0.0, 10.0))
dcmp_vec_inout = double(dcmp_vec_in + complex(100.0,10.0))
dcmp_vec_o = dcmp_vec_in - complex(3.0, 6.0)

cvec_in = 'abcdef'
cvec_inout = 'ijklmn'
cvec_io_corr = 'jklmno'
cvec_o = 'xxxxxx'
cvec_o_corr = 'bcdefg'

imat_in = int32(1:mat_n*mat_m)
imat_in = reshape(imat_in,mat_m,mat_n)
imat_inout = int32(imat_in + 100)
imat_o = int32(zeros(size(imat_in)))

fmat_in = single(1:mat_n*mat_m)
fmat_in = reshape(fmat_in,mat_m,mat_n)
fmat_inout = single(fmat_in + 100)
fmat_o = single(zeros(size(fmat_in)))

dmat_in = double(1:mat_n*mat_m)
dmat_in = reshape(dmat_in,mat_m,mat_n)
dmat_inout = double(dmat_in + 100)
dmat_o = double(zeros(size(dmat_in)))

scmp_mat_in = single(complex(1:mat_n*mat_m,1:mat_n*mat_m))
scmp_mat_in = single(reshape(scmp_mat_in,mat_m,mat_n))
scmp_mat_in = single(scmp_mat_in + complex(0.0, 10.0))
scmp_mat_inout = single(scmp_mat_in + complex(100.0, 10.0))
scmp_mat_o = single(scmp_mat_in - complex(222.0, 222.0))

dcmp_mat_in = double(complex(1:mat_n*mat_m,1:mat_n*mat_m))
dcmp_mat_in = double(reshape(dcmp_mat_in,mat_m,mat_n))
dcmp_mat_in = double(dcmp_mat_in + complex(0.0, 10.0))
dcmp_mat_inout = double(dcmp_mat_in + complex(100.0, 10.0))
dcmp_mat_o = double(dcmp_mat_in - complex(222.0, 222.0))

cmat_in = ['abc';'def']
cmat_inout = ['jkl';'mno']
cmat_o = ['opq';'rst']

[ int_inout_l, int_o_l, float_inout_l, float_o_l, double_inout_l, ...
  double_o_l, scmp_inout_l, scmp_o_l, dcmp_inout_l, dcmp_o_l, ...
  char_inout_l, char_o_l, ivec_inout_l, ivec_o_l, fvec_inout_l, ...
  fvec_o_l, dvec_inout_l, dvec_o_l, scmp_vec_inout_l, scmp_vec_o_l, ...
  dcmp_vec_inout_l, dcmp_vec_o_l, cvec_inout_l, cvec_o_l, imat_inout_l, ...
  imat_o_l, fmat_inout_l, fmat_o_l, dmat_inout_l, dmat_o_l, ...
  scmp_mat_inout_l, scmp_mat_o_l, dcmp_mat_inout_l, dcmp_mat_o_l, ...
  cmat_inout_l, cmat_o_l ] ...
    = gs_call( 'ctotal', ...
               int_in, int_inout, float_in, float_inout, double_in, double_inout, ...
               scmp_in, scmp_inout, dcmp_in, dcmp_inout, char_in, char_inout, ...
               ivec_in, ivec_inout, ivec_size, fvec_in, fvec_inout, fvec_size, ...
               dvec_in, dvec_inout, dvec_size, scmp_vec_in, scmp_vec_inout, ...
               scmp_vec_size, dcmp_vec_in, dcmp_vec_inout, dcmp_vec_size, ...
               cvec_in, cvec_inout, cvec_size, imat_in, imat_inout, mat_m, ...
               mat_n, fmat_in, fmat_inout, mat_m, mat_n, dmat_in, dmat_inout, ...
               mat_m, mat_n, scmp_mat_in, scmp_mat_inout, mat_m, mat_n, ...
               dcmp_mat_in, dcmp_mat_inout, mat_m, mat_n, cmat_in, cmat_inout, ...
               mat_m, mat_n);


[e] = gs_get_last_error;
if (e ~= 0) 
  fprintf('Failed: GridRPC Error: %s', gs_error_string(e))
  return;
end

if (int_inout_l == (int_in + 101))
  fprintf('Result: Passed int_inout ok!\n\n');   
else
  fprintf('Result: Failed int_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (int_o_l == (int_in + 1))
  fprintf('Result: Passed int_o ok!\n\n');   
else
  nfail = nfail + 1;
end

if (norm(norm(float_inout_l - (float_in + 101), inf), inf) <= eps)
  fprintf('Result: Passed float_inout ok!\n\n');   
else
  fprintf('Result: Failed float_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm(float_o_l - (float_in + 1), inf), inf) <= eps)
  fprintf('Result: Passed float_o ok!\n\n');   
else
  fprintf('Result: Failed float_o results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm(double_inout_l - (double_in + 101), inf), inf) <= eps)
  fprintf('Result: Passed double_inout ok!\n\n');   
else
  fprintf('Result: Failed double_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm(double_o_l - (double_in + 1), inf), inf) <= eps)
  fprintf('Result: Passed double_o ok!\n\n');   
else
  fprintf('Result: Failed double_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm(scmp_inout_l - (scmp_in + complex(101, 11)), inf), inf) <= eps)
  fprintf('Result: Passed scmp_inout ok!\n\n');   
else
  fprintf('Result: Failed scmp_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm(scmp_o_l - (scmp_in + complex(1,1)), inf), inf) <= eps)
  fprintf('Result: Passed scmp_o ok!\n\n');   
else
  fprintf('Result: Failed scmp_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm(dcmp_inout_l - (dcmp_in + complex(101, 11)), inf), inf) <= eps)
  fprintf('Result: Passed dcmp_inout ok!\n\n');   
else
  fprintf('Result: Failed dcmp_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm(dcmp_o_l - (dcmp_in + complex(1,1)), inf), inf) <= eps)
  fprintf('Result: Passed dcmp_o ok!\n\n');   
else
  fprintf('Result: Failed dcmp_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (char_inout_l == 'j')
  fprintf('Result: Passed char_inout ok!\n\n');   
else
  fprintf('Result: Failed char_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (char_o_l == 'b')
  fprintf('Result: Passed char_o ok!\n\n');   
else
  fprintf('Result: Failed char_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm((ivec_inout_l - (double(ivec_in) + 101)), inf), inf) <= eps)
  fprintf('Result: Passed ivec_inout ok!\n\n');   
else
  fprintf('Result: Failed ivec_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((ivec_o_l - (double(ivec_in) + 1)), inf), inf) <= eps)
  fprintf('Result: Passed ivec_o ok!\n\n');   
else
  fprintf('Result: Failed ivec_o results incorrect!\n\n');
  nfail = nfail + 1;
end



if (norm(norm((fvec_inout_l - (double(fvec_in) + 101)), inf), inf) <= eps)
  fprintf('Result: Passed fvec_inout ok!\n\n');   
else
  fprintf('Result: Failed fvec_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((fvec_o_l - (double(fvec_in) + 1)), inf), inf) <= eps)
  fprintf('Result: Passed fvec_o ok!\n\n');   
else
  fprintf('Result: Failed fvec_o results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((dvec_inout_l - (double(dvec_in) + 101)), inf), inf) <= eps)
  fprintf('Result: Passed dvec_inout ok!\n\n');   
else
  fprintf('Result: Failed dvec_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((dvec_o_l - (double(dvec_in) + 1)), inf), inf) <= eps)
  fprintf('Result: Passed dvec_o ok!\n\n');   
else
  fprintf('Result: Failed dvec_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm((scmp_vec_inout_l - (double(scmp_vec_in) + complex(101,11))), inf), inf) <= eps)
  fprintf('Result: Passed scmp_vec_inout ok!\n\n');   
else
  fprintf('Result: Failed scmp_vec_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((scmp_vec_o_l - (double(scmp_vec_in) + complex(1,1))), inf), inf) <= eps)
  fprintf('Result: Passed scmp_vec_o ok!\n\n');   
else
  fprintf('Result: Failed scmp_vec_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm((dcmp_vec_inout_l - (double(dcmp_vec_in) + complex(101,11))), inf), inf) <= eps)
  fprintf('Result: Passed dcmp_vec_inout ok!\n\n');   
else
  fprintf('Result: Failed dcmp_vec_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((dcmp_vec_o_l - (double(dcmp_vec_in) + complex(1,1))), inf), inf) <= eps)
  fprintf('Result: Passed dcmp_vec_o ok!\n\n');   
else
  fprintf('Result: Failed dcmp_vec_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (strcmp(cvec_inout_l, cvec_io_corr) ~= 1)
  fprintf('Result: Passed cvec_inout ok!\n\n');   
else
  fprintf('Result: Failed cvec_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (strcmp(cvec_o_l, cvec_o_corr) ~= 1)
  fprintf('Result: Passed cvec_o ok!\n\n');   
else
  fprintf('Result: Failed cvec_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm((imat_inout_l - (double(imat_in) + 101)), inf), inf) <= eps)
  fprintf('Result: Passed imat_inout ok!\n\n');   
else
  fprintf('Result: Failed imat_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((imat_o_l - (double(imat_in) + 1)), inf), inf) <= eps)
  fprintf('Result: Passed imat_o ok!\n\n');   
else
  fprintf('Result: Failed imat_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm((fmat_inout_l - (double(fmat_in) + 101)), inf), inf) <= eps)
  fprintf('Result: Passed fmat_inout ok!\n\n');   
else
  fprintf('Result: Failed fmat_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((fmat_o_l - (double(fmat_in) + 1)), inf), inf) <= eps)
  fprintf('Result: Passed fmat_o ok!\n\n');   
else
  fprintf('Result: Failed fmat_o results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((dmat_inout_l - (double(dmat_in) + 101)), inf), inf) <= eps)
  fprintf('Result: Passed dmat_inout ok!\n\n');   
else
  fprintf('Result: Failed dmat_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((dmat_o_l - (double(dmat_in) + 1)), inf), inf) <= eps)
  fprintf('Result: Passed dmat_o ok!\n\n');   
else
  fprintf('Result: Failed dmat_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm((scmp_mat_inout_l - (double(scmp_mat_in) + complex(101,11))), inf), inf) <= eps)
  fprintf('Result: Passed scmp_mat_inout ok!\n\n');   
else
  fprintf('Result: Failed scmp_mat_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((scmp_mat_o_l - (double(scmp_mat_in) + complex(1,1))), inf), inf) <= eps)
  fprintf('Result: Passed scmp_mat_o ok!\n\n');   
else
  fprintf('Result: Failed scmp_mat_o results incorrect!\n\n');
  nfail = nfail + 1;
end


if (norm(norm((dcmp_mat_inout_l - (double(dcmp_mat_in) + complex(101,11))), inf), inf) <= eps)
  fprintf('Result: Passed dcmp_mat_inout ok!\n\n');   
else
  fprintf('Result: Failed dcmp_mat_inout results incorrect!\n\n');
  nfail = nfail + 1;
end

if (norm(norm((dcmp_mat_o_l - (double(dcmp_mat_in) + complex(1,1))), inf), inf) <= eps)
  fprintf('Result: Passed dcmp_mat_o ok!\n\n');   
else
  fprintf('Result: Failed dcmp_mat_o results incorrect!\n\n');
  nfail = nfail + 1;
end


cmat_inout_correct = ['klm';'nop'];
if (cmat_inout_l == cmat_inout_correct) 
  fprintf('Result: Passed cmat_inout ok!\n\n');   
else
  fprintf('Result: Failed cmat_inout results incorrect!\n\n');
  nfail = nfail + 1;
end


cmat_o_correct = ['bcd';'efg'];
if (cmat_o_l == cmat_o_correct) 
  fprintf('Result: Passed cmat_o ok!\n\n');   
else
  fprintf('Result: Failed cmat_o results incorrect!\n\n');
  nfail = nfail + 1;
end

fprintf('----------------------\n');
if (nfail ~= 0)
  fprintf('%d arguments had incorrect results\n', nfail);  
else
  fprintf('All results were OK\n');  
end
