**
* @file
*
* This code fragment is included in f_totaltest_common.f
* to print and verify all the results after calling
* totaltest.
*
* $Id: f_totaltest_results.f,v 1.4 2005/06/10 18:04:22 seymour Exp $
* $UTK_Copyright: $
**
      write(*,*) 'int_in = ', int_in
      write(*,*) 'int_inout = ', int_inout
      write(*,*) 'int_out = ', int_out
*
      write(*,*) 'float_in = ', float_in
      write(*,*) 'float_inout = ', float_inout
      write(*,*) 'float_out = ', float_out
*
      write(*,*) 'double_in = ', double_in
      write(*,*) 'double_inout = ', double_inout
      write(*,*) 'double_out = ', double_out
*
      write(*,*) 'scmp_in = ', scmp_in
      write(*,*) 'scmp_inout = ', scmp_inout
      write(*,*) 'scmp_out = ', scmp_out
*
      write(*,*) 'dcmp_in = ', dcmp_in
      write(*,*) 'dcmp_inout = ', dcmp_inout
      write(*,*) 'dcmp_out = ', dcmp_out
*
      write(*,*) 'char_in = ', char_in
      write(*,*) 'char_inout = ', char_inout
      write(*,*) 'char_out = ', char_out
*
      call print_ivec('ivec_in', ivec_in, IVEC_SIZE)
      call print_ivec('ivec_inout', ivec_inout, IVEC_SIZE)
      call print_ivec('ivec_out', ivec_out, IVEC_SIZE)
*
      call print_fvec('fvec_in', fvec_in, FVEC_SIZE)
      call print_fvec('fvec_inout', fvec_inout, FVEC_SIZE)
      call print_fvec('fvec_out', fvec_out, FVEC_SIZE)
*
      call print_dvec('dvec_in', dvec_in, DVEC_SIZE)
      call print_dvec('dvec_inout', dvec_inout, DVEC_SIZE)
      call print_dvec('dvec_out', dvec_out, DVEC_SIZE)
*
      call print_scmp_vec('scmp_vec_in', scmp_vec_in, SCMP_VEC_SIZE)
      call print_scmp_vec('scmp_vec_inout', scmp_vec_inout, 
     +  SCMP_VEC_SIZE)
      call print_scmp_vec('scmp_vec_out', scmp_vec_out, SCMP_VEC_SIZE)
*
      call print_dcmp_vec('dcmp_vec_in', dcmp_vec_in, DCMP_VEC_SIZE)
      call print_dcmp_vec('dcmp_vec_inout', dcmp_vec_inout, 
     +  DCMP_VEC_SIZE)
      call print_dcmp_vec('dcmp_vec_out', dcmp_vec_out, DCMP_VEC_SIZE)
*
      call print_cvec('cvec_in', cvec_in, CVEC_SIZE)
      call print_cvec('cvec_inout', cvec_inout, CVEC_SIZE)
      call print_cvec('cvec_out', cvec_out, CVEC_SIZE)
*
      call print_imat('imat_in', imat_in, MAT_M, MAT_N)
      call print_imat('imat_inout', imat_inout, MAT_M, MAT_N)
      call print_imat('imat_out', imat_out, MAT_M, MAT_N)
*
      call print_fmat('fmat_in', fmat_in, MAT_M, MAT_N)
      call print_fmat('fmat_inout', fmat_inout, MAT_M, MAT_N)
      call print_fmat('fmat_out', fmat_out, MAT_M, MAT_N)
*
      call print_dmat('dmat_in', dmat_in, MAT_M, MAT_N)
      call print_dmat('dmat_inout', dmat_inout, MAT_M, MAT_N)
      call print_dmat('dmat_out', dmat_out, MAT_M, MAT_N)
*
      call print_scmp_mat('scmp_mat_in', scmp_mat_in, MAT_M, MAT_N)
      call print_scmp_mat('scmp_mat_inout', scmp_mat_inout, MAT_M, 
     +  MAT_N)
      call print_scmp_mat('scmp_mat_out', scmp_mat_out, MAT_M, MAT_N)
*
      call print_dcmp_mat('dcmp_mat_in', dcmp_mat_in, MAT_M, MAT_N)
      call print_dcmp_mat('dcmp_mat_inout', dcmp_mat_inout, MAT_M, 
     +  MAT_N)
      call print_dcmp_mat('dcmp_mat_out', dcmp_mat_out, MAT_M, MAT_N)
*
      call print_cmat('cmat_in', cmat_in, MAT_M, MAT_N)
      call print_cmat('cmat_inout', cmat_inout, MAT_M, MAT_N)
      call print_cmat('cmat_out', cmat_out, MAT_M, MAT_N)
*
      status = 0
      call verify_imat(imat_in, imat_inout, imat_out, MAT_M, MAT_N,
     + status)
      call verify_fmat(fmat_in, fmat_inout, fmat_out, MAT_M, MAT_N,
     + status)
      call verify_dmat(dmat_in, dmat_inout, dmat_out, MAT_M, MAT_N,
     + status)
      call verify_scmp_mat(scmp_mat_in, scmp_mat_inout, scmp_mat_out, 
     + MAT_M, MAT_N, status)
      call verify_dcmp_mat(dcmp_mat_in, dcmp_mat_inout, dcmp_mat_out, 
     + MAT_M, MAT_N, status)
      call verify_cmat(cmat_in, cmat_inout, cmat_out, MAT_M, MAT_N,
     + status)
      call verify_ivec(ivec_in, ivec_inout, ivec_out, IVEC_SIZE, 
     + status)
      call verify_fvec(fvec_in, fvec_inout, fvec_out, FVEC_SIZE, 
     + status)
      call verify_dvec(dvec_in, dvec_inout, dvec_out, DVEC_SIZE, 
     + status)
      call verify_scmp_vec(scmp_vec_in, scmp_vec_inout, scmp_vec_out, 
     + SCMP_VEC_SIZE, status)
      call verify_dcmp_vec(dcmp_vec_in, dcmp_vec_inout, dcmp_vec_out, 
     + DCMP_VEC_SIZE, status)
      call verify_cvec(cvec_in, cvec_inout, cvec_out, CVEC_SIZE, 
     + status)
      call verify_scalars(int_in, int_inout, int_out,
     + float_in, float_inout, float_out,
     + double_in, double_inout, double_out,
     + scmp_in, scmp_inout, scmp_out,
     + dcmp_in, dcmp_inout, dcmp_out,
     + char_in, char_inout, char_out, status)
*
      if(status .lt. 0) then
        write(*,*) 'Result: Failure'
        stop
      endif
